## jtreg 4.1

=== make/Makefile ===
#
# Copyright 1999-2007 Sun Microsystems, Inc.  All Rights Reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Sun designates this
# particular file as subject to the "Classpath" exception as provided
# by Sun in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
# CA 95054 USA or visit www.sun.com if you need additional information or
# have any questions.
#

TOPDIR = ..
BUILDDIR = $(TOPDIR)/build

include Defs.gmk

#----------------------------------------------------------------------

all: build test $(BUILDDIR)/lockCheck.ok

#----------------------------------------------------------------------

include buildFiles.gmk

#----------------------------------------------------------------------
#
# shared

include doc.gmk
include javatest.gmk
include javahelp.gmk
include junit.gmk

#----------------------------------------------------------------------
#
# jtdiff support

include classes_com_sun_javatest_diff.gmk
#include doc_jtreg.gmk
include bin_jtdiff.gmk

#----------------------------------------------------------------------
#
# jtreg support

include classes_com_sun_javatest_regtest.gmk
include doc_jtreg.gmk
include bin_jtreg.gmk
include jtreg.gmk

#----------------------------------------------------------------------

include export.gmk

#----------------------------------------------------------------------

CLEANFILES += work report testWork testReport jtWork jtReport JTwork JTreport
CLEANFILES += $(CLASSDIR) testClasses $(BUILDFILES) $(TESTS)

#----------------------------------------------------------------------

build: $(BUILDFILES)

test:  $(TESTS)

debug: 
	echo '$(BUILDFILES)'

#----------------------------------------------------------------------
#
# build in agent mode

all.agent build.agent test.agent:
	JTREG_USE_AGENTVM_FOR_SAMEVM=true $(MAKE) BUILDDIR=$(BUILDDIR).agent $(subst .agent,,$@)

#----------------------------------------------------------------------
#
# do an upfront check that an X Windows server is running,
# in case it is needed by any tests.
# WARNING: THIS HANGS IF THE WINDOW SYSTEM IS NOT AVAILABLE
#
#.INIT:
#	@display=$${DISPLAY:-`uname -n`:0.0} ; \
#	if /usr/openwin/bin/xwininfo -root -display $$display 1>/dev/null 2>&1 ; then \
#	    true ; \
#	else \
#	    echo "Cannot access display $$display" ; \
#	    echo "Please make sure the window system is running and accessible." ; \
#	    exit 1 ; \
#	fi

.DONE:
	if [ -f $(BUILDDIR)/.vnc/display ]; then sh display.sh -kill ; fi

#----------------------------------------------------------------------

include Rules.gmk

=== src/share/test/javatest/regtest/data/timeouts/make/Makefile ===
#
# Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

# This is a Makefile to build a dummy product, for the benefit of JPRT.

# Get OS/ARCH specifics
OSNAME = $(shell uname -s)
ifeq ($(OSNAME), SunOS)
  PLATFORM = solaris
  JT_PLATFORM = solaris
  ARCH = $(shell uname -p)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Linux)
  PLATFORM = linux
  JT_PLATFORM = linux
  ARCH = $(shell uname -m)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Windows_NT)
  PLATFORM = windows
  JT_PLATFORM = win32
  ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),ia64)
    ARCH=ia64
  else
    ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),AMD64)
      ARCH=x64
    else
      ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),EM64T)
        ARCH=x64
      else
        ARCH=i586
      endif
    endif
  endif
endif


CD = cd
MKDIR = mkdir
ZIPEXE = zip

OUTPUTDIR = ../build
ABS_OUTPUTDIR = $(shell $(MKDIR) -p $(OUTPUTDIR) ; $(CD) $(OUTPUTDIR) ; pwd)

JPRT_ARCHIVE_BUNDLE=$(ABS_OUTPUTDIR)/$(JPRT_BUILD_FLAVOR)-bundle.zip

jprt_build_product jprt_build_debug jprt_build_fastdebug:
	echo "Dummy" > $(ABS_OUTPUTDIR)/DummyProduct.txt
	( $(CD) $(ABS_OUTPUTDIR) && \
	  $(ZIPEXE) -q -r $(JPRT_ARCHIVE_BUNDLE) . )

clean:

clobber:

sanity:

.PHONY: jprt_build_product jprt_build_debug jprt_build_fastdebug \
	clean clobber sanity

=== src/share/test/javatest/regtest/data/timeouts/test/Makefile ===
#
# Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

# This is a Makefile for JPRT testing


# Get OS/ARCH specifics
OSNAME = $(shell uname -s)
ifeq ($(OSNAME), SunOS)
  PLATFORM = solaris
  JT_PLATFORM = solaris
  ARCH = $(shell uname -p)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Linux)
  PLATFORM = linux
  JT_PLATFORM = linux
  ARCH = $(shell uname -m)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Windows_NT)
  PLATFORM = windows
  JT_PLATFORM = win32
  ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),ia64)
    ARCH=ia64
  else
    ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),AMD64)
      ARCH=x64
    else
      ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),EM64T)
        ARCH=x64
      else
        ARCH=i586
      endif
    endif
  endif
endif


# Root of this test area (important to use full paths in some places)
TEST_ROOT := $(shell pwd)

# Default bundle of all test results (passed or not) (JPRT only)
ifdef JPRT_JOB_ID
  JPRT_CLEAN = clean
  JPRT_ARCHIVE_BUNDLE = $(TEST_ROOT)/JPRT_ARCHIVE_BUNDLE.zip
endif

ifeq ($(PLATFORM), windows)
  SLASH_JAVA = J:
else
  SLASH_JAVA = /java
endif

# Default JTREG to run
ifdef JPRT_JTREG_HOME
  JTREG_HOME = $(JPRT_JTREG_HOME)
else
  JTREG_HOME = $(SLASH_JAVA)/re/jtreg/4.0/promoted/latest/binaries/jtreg
endif
JTREG = $(JTREG_HOME)/$(JT_PLATFORM)/bin/jtreg


# Default JDK for JTREG and JCK
#
# JT_JAVA is the version of java used to run jtreg/JCK. Since it is now
# standard to execute tests in sameVM mode, it should normally be set the
# same as TESTJAVA (although not necessarily so.)
#
ifdef JPRT_JAVA_HOME
  JT_JAVA = $(JPRT_JAVA_HOME)
else
  JT_JAVA = $(SLASH_JAVA)/re/jdk/1.6.0/archive/fcs/binaries/$(PLATFORM)-$(ARCH)
endif

# Default JDK to test
ifdef JPRT_IMPORT_PRODUCT_HOME
  TESTJAVA = $(JPRT_IMPORT_PRODUCT_HOME)
else
  TESTJAVA = $(SLASH_JAVA)/re/jdk/1.7.0/promoted/latest/binaries/$(PLATFORM)-$(ARCH)
endif


# Exit codes:
# jtreg, jck:   0: OK, 1: tests failed, 2: tests error; 3+: SERIOUS
FATAL_JTREG_EXIT = 3
#
# Exit -- used for final "normal" exit from "make". Redefine to "true" to avoid
# having make exit with non-zero return code.
EXIT = exit
# Function to exit shell if exit code of preceding command is greater than or equal 
# to a given level. Redefine function or preceding FATAL_*_EXIT codes as needed.
EXIT_IF_FATAL = status=$$?; if [ $$status -ge $(1) ]; then exit $$status ; fi

# Root of all test results
TEST_OUTPUT_DIR = $(TEST_ROOT)/../build/$(PLATFORM)-$(ARCH)/jtreg
ABS_TEST_OUTPUT_DIR := \
	$(shell mkdir -p $(TEST_OUTPUT_DIR); cd $(TEST_OUTPUT_DIR); pwd )

all:    init run report summary

init:
	rm -f $(TEST_OUTPUT_DIR)/summary

run:	init
	for mode in agentvm samevm othervm ; do \
	    for test in *Test.java ; do \
		echo ; echo "*** Test $$mode $$test"; echo ; \
		$(MAKE) MODE=$$mode TEST=$$test SUMMARY=$(TEST_OUTPUT_DIR)/summary jtreg-test ; \
	    done ; \
	done

report: run $(JPRT_ARCHIVE_BUNDLE)

summary: report
	if grep FAILED $(TEST_OUTPUT_DIR)/summary ; then \
	    exit 1 ; \
	fi
	
	 

JTREG_OUTPUT_DIR = $(ABS_TEST_OUTPUT_DIR)/$(MODE)/$(subst .java,,$(TEST))

JTREG_OPTIONS += -timeoutFactor:0.1

CHECK_PASS = \
    if grep '$(1).*Passed' $(JTREG_OUTPUT_DIR)/report/text/summary.txt ; then \
	echo $(1) OK ; \
    else \
	echo $(1) FAILED ; \
    fi

# Run jtreg test
#
# JTREG_HOME
#	Installed location of jtreg
# JT_JAVA
#	Version of java used to run jtreg.  Should normally be the same as TESTJAVA
# TESTJAVA
# 	Version of java to be tested.  
# JTREG_OPTIONS
#	Additional options for jtreg
# JTREG_TESTDIRS
#	Directories of tests to be run
# JTREG_OUTPUT_DIR
#	Where to write the results
# JTREG_REFERENCE
#	(Optional) reference results (e.g. work, report or summary.txt)
#
jtreg-test: check-jtreg FRC
	@rm -f -r $(JTREG_OUTPUT_DIR)/work $(JTREG_OUTPUT_DIR)/report \
	    $(JTREG_OUTPUT_DIR)/diff.html $(JTREG_OUTPUT_DIR)/status.txt
	@mkdir -p $(JTREG_OUTPUT_DIR)
	JT_JAVA=$(JT_JAVA) $(JTREG) \
	  -$(MODE) \
	  -v:fail,error \
          -r:$(JTREG_OUTPUT_DIR)/report \
          -w:$(JTREG_OUTPUT_DIR)/work \
          -jdk:$(TESTJAVA) \
          $(JAVA_ARGS:%=-vmoption:%) \
	  $(JTREG_OPTIONS) \
          AAA_Pass.java $(TEST) ZZZ_Pass.java \
	|| ( $(call EXIT_IF_FATAL,$(FATAL_JTREG_EXIT)) ; \
	    echo $$status > $(JTREG_OUTPUT_DIR)/status.txt \
	)
	if ( \
	    grep AAA_Pass.*Passed $(JTREG_OUTPUT_DIR)/report/text/summary.txt && \
	    grep ZZZ_Pass.*Passed $(JTREG_OUTPUT_DIR)/report/text/summary.txt ) \
	then \
	    echo "$(MODE) $(TEST) OK" >> $(SUMMARY) ; \
	else \
	    echo "$(MODE) $(TEST) FAILED" >> $(SUMMARY) ; \
	fi


# Check to make sure these directories exist
check-jtreg: $(JT_HOME) $(JTREG)

# Bundle up the results
$(JPRT_ARCHIVE_BUNDLE): FRC
	@rm -f $@
	@mkdir -p $(@D)
	( cd $(TEST_OUTPUT_DIR) && zip -q -r $@ . )

# Cleanup
clean:
	rm -f $(JPRT_ARCHIVE_BUNDLE)

# Used to force a target rules to run
FRC:

# Phony targets (e.g. these are not filenames)
.PHONY: all init run report summary clean jtreg-test FRC

# No use of suffix rules
.SUFFIXES:

=== debian/changelog ===
jtreg (4.1-2) unstable; urgency=low

  [Guillaume Mazoyer]
  * debian/patches/launchers.patch: Fixed typo in a variable name.
  * debian/rules: Removed extra spaces and use rm -f instead of ||:.

  [tony mancill]
  * debian/control: Add Vcs-Svn: field

 -- Guillaume Mazoyer <respawneral@gmail.com>  Sat, 02 Jul 2011 07:13:54 -0500

jtreg (4.1-1) unstable; urgency=low

  * Initial release (Closes: #629577)

 -- Guillaume Mazoyer <respawneral@gmail.com>  Tue, 07 Jun 2011 15:11:38 -0500

=== debian/control ===
Source: jtreg
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), javahelper, help2man
Build-Depends-Indep: default-jdk,
                     libjtharness-java,
                     ant,
                     javahelp2,
                     libxalan2-java
Standards-Version: 3.9.2
Homepage: http://openjdk.java.net/jtreg/index.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jtreg/

Package: jtreg
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         libjtharness-java,
         javahelp2,
         libxalan2-java
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

override_dh_auto_build:
	ant -f make/build.xml
	dh_auto_build
	JTREG_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" \
	 --help-option="-help" ./dist/jtreg/linux/bin/jtdiff > jtdiff.1
	JTREG_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" \
	 --help-option="-help" ./dist/jtreg/linux/bin/jtreg > jtreg.1

override_dh_auto_clean:
	rm -rf dist
	rm -rf build
	rm -f jtdiff.1
	rm -f jtreg.1
	dh_auto_clean

%:
	dh $@ --with javahelper

=== debian/watch ===
version=3
http://download.java.net/openjdk/jtreg/ \
 .*/jtreg-(.*)-src-.*.zip debian debian/orig-tar.sh

## jtreg 4.1-b09

=== debian/changelog ===
jtreg (4.1-b09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced JTREG_HOME with JT_HOME in the launcher scripts.
    (Closes: #754276)
  * Moved the package to Git
  * debian/rules: Fetch the version and the build number provided
    to the Ant script from the version of the package

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 Jul 2014 18:25:55 +0200

jtreg (4.1-b08-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed launchers.patch
    - New build dependency on testng
    - Added a patch to add jcommander.jar to the classpaths built internally
      by jtreg
  * Replaced dependencies.patch with command line arguments
  * Updated debian/watch and debian/orig-tar.sh to fetch the latest tagged
    build from the upsteam Mercurial repository.
  * Recommends testng for the binary package
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Added the missing Vcs-Browser field
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9
  * debian/copyright: Updated the Format URI

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Apr 2014 15:17:42 +0200

=== debian/control ===
Source: jtreg
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends: debhelper (>= 9), javahelper, help2man
Build-Depends-Indep: default-jdk,
                     libjtharness-java,
                     ant,
                     javahelp2,
                     libxalan2-java,
                     testng
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/jtreg.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jtreg.git
Homepage: http://openjdk.java.net/jtreg

Package: jtreg
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         libjtharness-java,
         javahelp2,
         libxalan2-java
Recommends: testng
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

VERSION      := $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | sed 's/.*-\(b[0-9]*\).*/\1/')

override_dh_auto_build:
	ant -f make/build.xml \
	    -Dant.jar=/usr/share/java/ant.jar \
	    -Djtreg.build.resources=/usr/share/java \
	    -Djh.jar=/usr/share/java/jh.jar \
	    -Djhall.jar=/usr/share/java/jhall.jar \
	    -Djunit.jar=/usr/share/java/junit4.jar \
	    -Dtestng.jar=/usr/share/java/testng.jar \
	    -Djavatest.jar=/usr/share/java/javatest.jar \
	    -Dbuild.version=$(VERSION) \
	    -Dbuild.milestone=src \
	    -Dbuild.number=$(BUILD_NUMBER)
	dh_auto_build

	# Generate the manpages
	JT_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" --help-option="-help all" dist/jtreg/linux/bin/jtdiff > jtdiff.1
	JT_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" --help-option="-help all" dist/jtreg/linux/bin/jtreg > jtreg.1

override_dh_auto_clean:
	rm -rf dist
	rm -rf build
	rm -f jtdiff.1
	rm -f jtreg.1
	dh_auto_clean

%:
	dh $@ --with javahelper

=== debian/watch ===
version=3
https://adopt-openjdk.ci.cloudbees.com/job/jtreg/lastSuccessfulBuild/artifact/jtreg([\d\.]+(?:-b[0-9]+)?).tar.gz debian debian/orig-tar.sh

## jtreg 4.1-b12

=== debian/changelog ===
jtreg (4.1-b12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the path of the installed files
  * Changed the value of the jtreg-BuildDate attribute in the manifest
    with the date from debian/changelog to make the build reproducible.
  * Standards-Version updated to 3.9.6 (no changes)
  * Fixed debian/watch
  * debian/copyright: Added the missing license shortname

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Jun 2015 18:39:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/jtreg.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jtreg.git
 Homepage: http://openjdk.java.net/jtreg

## jtreg 4.2

=== make/Makefile ===
#
# Copyright (c) 1999, 2017, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

TOPDIR = ..

include Defs.gmk
include Platform.gmk

default: build

all: build test

#----------------------------------------------------------------------

include jtdiff.gmk
include jtreg.gmk
include $(TOPDIR)/test/*.gmk
include $(TOPDIR)/test/*/*.gmk
include Rules.gmk

build: $(BUILDFILES)

test: $(INITIAL_TESTS) $(TESTS) $(FINAL_TESTS)

images: $(VERBOSEZIPFILES)

clean:
	$(RM) $(BUILDDIR)

.NO_PARALLEL: clean

sanity:
ifdef JDK15HOME
	@echo "JDK15HOME      = $(JDK15HOME)"
endif
ifdef JDK16HOME
	@echo "JDK16HOME      = $(JDK16HOME)"
endif
ifdef JDK17HOME
	@echo "JDK17HOME      = $(JDK17HOME)"
endif
ifdef JDK18HOME
	@echo "JDK18HOME      = $(JDK18HOME)"
endif
ifdef JAVAHELP_HOME
	@echo "JAVAHELP_HOME  = $(JAVAHELP_HOME)"
endif
	@echo "JAVATEST_HOME  = $(JAVATEST_HOME)"
ifneq ($(JTHARNESS_HOME), $(JAVATEST_HOME))
	@echo "JTHARNESS_HOME = $(JTHARNESS_HOME)"
endif
ifdef JCOV_JAR
	@echo "JCOV_JAR       = $(JCOV_JAR)"
endif
ifdef ASMTOOLS_JAR
	@echo "ASMTOOLS_JAR   = $(ASMTOOLS_JAR)"
endif
	@echo "ANTHOME        = $(ANTHOME)"
	@echo "ANT_JAR        = $(ANT_JAR)"
	@echo "JUNIT_JAR      = $(JUNIT_JAR)"
	@echo "TESTNG_HOME    = $(TESTNG_HOME)"
	@echo "TESTNG_JAR     = $(TESTNG_JAR)"

#----------------------------------------------------------------------


.PHONY: default all build test images clean sanity

=== src/share/test/javatest/regtest/data/timeouts/test/Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 OSNAME = $(shell uname -s)
 ifeq ($(OSNAME), SunOS)
   PLATFORM = solaris
-  JT_PLATFORM = solaris
   ARCH = $(shell uname -p)
   ifeq ($(ARCH), i386)
     ARCH=i586
@@ -38,7 +37,6 @@
 endif
 ifeq ($(OSNAME), Linux)
   PLATFORM = linux
-  JT_PLATFORM = linux
   ARCH = $(shell uname -m)
   ifeq ($(ARCH), i386)
     ARCH=i586
@@ -46,7 +44,6 @@
 endif
 ifeq ($(OSNAME), Windows_NT)
   PLATFORM = windows
-  JT_PLATFORM = win32
   ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),ia64)
     ARCH=ia64
   else
@@ -84,7 +81,7 @@
 else
   JTREG_HOME = $(SLASH_JAVA)/re/jtreg/4.0/promoted/latest/binaries/jtreg
 endif
-JTREG = $(JTREG_HOME)/$(JT_PLATFORM)/bin/jtreg
+JTREG = $(JTREG_HOME)/bin/jtreg
 
 
 # Default JDK for JTREG and JCK
@@ -108,8 +105,8 @@
 
 
 # Exit codes:
-# jtreg, jck:   0: OK, 1: tests failed, 2: tests error; 3+: SERIOUS
-FATAL_JTREG_EXIT = 3
+# jtreg, jck:   0: OK, 1: no tests, 2: tests failed, 3: tests error; 4+: SERIOUS
+FATAL_JTREG_EXIT = 4
 #
 # Exit -- used for final "normal" exit from "make". Redefine to "true" to avoid
 # having make exit with non-zero return code.
@@ -184,7 +181,7 @@
           -w:$(JTREG_OUTPUT_DIR)/work \
           -jdk:$(TESTJAVA) \
           $(JAVA_ARGS:%=-vmoption:%) \
-	  $(JTREG_OPTIONS) \
+          $(JTREG_OPTIONS) \
           AAA_Pass.java $(TEST) ZZZ_Pass.java \
 	|| ( $(call EXIT_IF_FATAL,$(FATAL_JTREG_EXIT)) ; \
 	    echo $$status > $(JTREG_OUTPUT_DIR)/status.txt \

## jtreg 4.2-b01

=== debian/changelog ===
jtreg (4.2-b01-0ubuntu1) xenial; urgency=medium

  * Upload to xenial.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2016 13:47:51 +0200

jtreg (4.2-b01-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 20 Apr 2016 13:14:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/jtreg.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jtreg.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jtreg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jtreg.git
 Homepage: http://openjdk.java.net/jtreg
 
 Package: jtreg

## jtreg 4.2-b03

=== debian/changelog ===
jtreg (4.2-b03-1~16.04) xenial-proposed; urgency=medium

  * SRU: Update jtreg to the version required by openjdk-9. LP: #1620779.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 20:34:20 +0200

jtreg (4.2-b03-1) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 Sep 2016 15:06:20 +0200

jtreg (4.2-b03-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - No longer install the FAQ (removed upstream)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 04 Sep 2016 23:38:17 +0200

jtreg (4.2-b02-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 May 2016 22:47:48 +0200

jtreg (4.2-b01-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Apr 2016 17:26:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

VERSION      := $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | sed 's/.*-\(b[0-9]*\).*/\1/')
DATE         := $(shell dpkg-parsechangelog --show-field Date)

override_dh_auto_build:
	ant -f make/build.xml \
	    -Dant.jar=/usr/share/java/ant.jar \
	    -Djtreg.build.resources=/usr/share/java \
	    -Djh.jar=/usr/share/java/jh.jar \
	    -Djhall.jar=/usr/share/java/jhall.jar \
	    -Djunit.jar=/usr/share/java/junit4.jar \
	    -Dtestng.jar=/usr/share/java/testng.jar \
	    -Djavatest.jar=/usr/share/java/javatest.jar \
	    -Dbuild.date.time='$(DATE)' \
	    -Dbuild.version=$(VERSION) \
	    -Dbuild.milestone=src \
	    -Dbuild.number=$(BUILD_NUMBER)
	dh_auto_build

	# Generate the manpages
	JT_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" --help-option="-help all" dist/jtreg/bin/jtdiff > jtdiff.1
	JT_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" --help-option="-help all" dist/jtreg/bin/jtreg > jtreg.1

override_dh_auto_clean:
	rm -rf dist
	rm -rf build
	rm -f jtdiff.1
	rm -f jtreg.1
	dh_auto_clean

%:
	dh $@ --with javahelper

=== debian/watch ===
version=3
https://adopt-openjdk.ci.cloudbees.com/job/jtreg/lastSuccessfulBuild/artifact/jtreg-([\d\.]+(?:-b[0-9]+)?).tar.gz debian debian/orig-tar.sh

## jtreg 4.2-b05

=== debian/changelog ===
jtreg (4.2-b05-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 21 Aug 2017 12:39:06 -0700

jtreg (4.2-b05-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Jan 2017 11:13:11 +0100

jtreg (4.2-b04-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced the override_dh_auto_clean target with debian/clean
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Dec 2016 22:02:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: jtreg
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
-Build-Depends: debhelper (>= 9), javahelper, help2man
+Build-Depends: debhelper (>= 10), javahelper, help2man
 Build-Depends-Indep: default-jdk,
                      libjtharness-java,
                      ant,

## jtreg 4.2-b08

=== debian/changelog ===
jtreg (4.2-b08-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Sep 2017 12:05:52 +0200

jtreg (4.2-b07-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 10:54:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: jtreg
 Section: java
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends: debhelper (>= 10), javahelper, help2man
 Build-Depends-Indep: default-jdk,
@@ -12,7 +10,7 @@
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jtreg.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jtreg.git
 Homepage: http://openjdk.java.net/jtreg

## jtreg 4.2-b10

=== debian/changelog ===
jtreg (4.2-b10-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Apr 2018 10:23:17 -0700

jtreg (4.2-b10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Nov 2017 13:37:32 +0100

jtreg (4.2-b09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 Nov 2017 10:57:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jtreg
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends: debhelper (>= 10), javahelper, help2man
 Build-Depends-Indep: default-jdk,
@@ -10,7 +11,7 @@
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jtreg.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jtreg.git
 Homepage: http://openjdk.java.net/jtreg

## jtreg 4.2-b13

=== debian/changelog ===
jtreg (4.2-b13-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Lower debhelper compat to 10.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 23 Apr 2024 11:45:18 +0200

jtreg (4.2-b13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.2.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 02 Aug 2018 09:16:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: jtreg
 Section: java
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
-Build-Depends: debhelper (>= 10), javahelper, help2man
+Build-Depends: debhelper (>= 10~), javahelper, help2man
 Build-Depends-Indep: default-jdk,
                      libjtharness-java,
                      ant,
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jtreg.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jtreg.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
+Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: http://openjdk.java.net/jtreg
 
 Package: jtreg

## jtreg 4.2-b14

=== debian/changelog ===
jtreg (4.2-b14-1~16.04.1) xenial; urgency=medium

  * Upload to Ubuntu 16.04.
  * d/p/use-release-instead-of-source-target.patch: drop patch, compile with
    default settings (d/p/use-default-release.patch).
  * d/{control, compat}: use compat level 10.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 17 Jul 2025 14:39:45 +1200

jtreg (4.2-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Feb 2019 12:44:58 +0100

jtreg (4.2-b13-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * Use release instead of source/target. (Closes: #913853, LP: #1803628)

  [ tony mancill ]
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Tue, 20 Nov 2018 20:49:59 -0800

=== debian/control ===
Source: jtreg
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends:
 ant,
 debhelper (>= 9~),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libjtharness-java,
 libxalan2-java,
 testng
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
Vcs-Browser: https://salsa.debian.org/java-team/jtreg
Homepage: http://openjdk.java.net/jtreg

Package: jtreg
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java,
 libxalan2-java
Recommends: testng
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

## jtreg 4.2-b16

=== debian/changelog ===
jtreg (4.2-b16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Track the new releases from GitHub
  * Standards-Version updated to 4.4.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 12 Jan 2020 00:31:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 9~),
+ debhelper (>= 11~),
  default-jdk,
  help2man,
  javahelp2,
@@ -13,7 +13,7 @@
  libjtharness-java,
  libxalan2-java,
  testng
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: http://openjdk.java.net/jtreg

## jtreg 5.0

=== make/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 1999, 2017, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 1999, 2018, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -43,6 +43,12 @@
 build: $(BUILDFILES)
 
 test: $(INITIAL_TESTS) $(TESTS) $(FINAL_TESTS)
+	count=`echo $+ | wc -w` ; \
+	echo "All ($${count}) selected tests completed successfully"
+
+quick-test: $(INITIAL_TESTS)
+	count=`echo $+ | wc -w` ; \
+	echo "All ($${count}) selected tests completed successfully"
 
 images: $(VERBOSEZIPFILES)
 
@@ -53,35 +59,39 @@
 
 sanity:
 ifdef JDK15HOME
-	@echo "JDK15HOME      = $(JDK15HOME)"
+	@echo "JDK15HOME           = $(JDK15HOME)"
 endif
 ifdef JDK16HOME
-	@echo "JDK16HOME      = $(JDK16HOME)"
+	@echo "JDK16HOME           = $(JDK16HOME)"
 endif
 ifdef JDK17HOME
-	@echo "JDK17HOME      = $(JDK17HOME)"
+	@echo "JDK17HOME           = $(JDK17HOME)"
 endif
 ifdef JDK18HOME
-	@echo "JDK18HOME      = $(JDK18HOME)"
+	@echo "JDK18HOME           = $(JDK18HOME)"
 endif
+	@echo "JDKHOME             = $(JDKHOME)"
 ifdef JAVAHELP_HOME
-	@echo "JAVAHELP_HOME  = $(JAVAHELP_HOME)"
+	@echo "JAVAHELP_HOME       = $(JAVAHELP_HOME)"
 endif
-	@echo "JAVATEST_HOME  = $(JAVATEST_HOME)"
+	@echo "JAVATEST_HOME       = $(JAVATEST_HOME)"
 ifneq ($(JTHARNESS_HOME), $(JAVATEST_HOME))
-	@echo "JTHARNESS_HOME = $(JTHARNESS_HOME)"
+	@echo "JTHARNESS_HOME      = $(JTHARNESS_HOME)"
 endif
-ifdef JCOV_JAR
-	@echo "JCOV_JAR       = $(JCOV_JAR)"
-endif
-ifdef ASMTOOLS_JAR
-	@echo "ASMTOOLS_JAR   = $(ASMTOOLS_JAR)"
-endif
-	@echo "ANTHOME        = $(ANTHOME)"
-	@echo "ANT_JAR        = $(ANT_JAR)"
-	@echo "JUNIT_JAR      = $(JUNIT_JAR)"
-	@echo "TESTNG_HOME    = $(TESTNG_HOME)"
-	@echo "TESTNG_JAR     = $(TESTNG_JAR)"
+	@echo "JTHARNESS_LICENSE   = $(JTHARNESS_LICENSE)"
+	@echo "JTHARNESS_COPYRIGHT = $(JTHARNESS_COPYRIGHT)"
+	@echo "JCOV_JAR            = $(JCOV_JAR)"
+	@echo "JCOV_LICENSE        = $(JCOV_LICENSE)"
+	@echo "ASMTOOLS_JAR        = $(ASMTOOLS_JAR)"
+	@echo "ASMTOOLS_LICENSE    = $(ASMTOOLS_LICENSE)"
+	@echo "ANTHOME             = $(ANTHOME)"
+	@echo "ANT_JAR             = $(ANT_JAR)"
+	@echo "JUNIT_JAR           = $(JUNIT_JAR)"
+	@echo "JUNIT_LICENSE       = $(JUNIT_LICENSE)"
+	@echo "TESTNG_HOME         = $(TESTNG_HOME)"
+	@echo "TESTNG_JAR          = $(TESTNG_JAR)"
+	@echo "TESTNG_LICENSE      = $(TESTNG_LICENSE)"
+	@echo "JCOMMANDER_JAR      = $(JCOMMANDER_JAR)"
 
 #----------------------------------------------------------------------

## jtreg 5.0-b01

=== debian/changelog ===
jtreg (5.0-b01-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Provide jar symlinks in /usr/share/jtreg/share/java as well.
    Allows openjdk configuration --with-jtreg=/usr/share/jtreg with the same
    patchset for all release.
  * Provide additional jar symlinks for jh.jar and hamcrest-core.jar.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Apr 2020 12:31:42 +0200

jtreg (5.0-b01-2) unstable; urgency=medium

  * Team upload.
  * Install jtreg under /usr/share/jtreg and use it as the default JT_HOME path

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 13 Apr 2020 00:28:39 +0200

jtreg (5.0-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on libjtharness-java (>= 6.0)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Apr 2020 10:49:05 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  help2man,
  javahelp2,
  javahelper,
- libjtharness-java,
+ libjtharness-java (>= 6.0),
  libxalan2-java,
+ libhamcrest-java,
  testng
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: http://openjdk.java.net/jtreg
@@ -24,7 +25,8 @@
  ${java:Depends},
  ${misc:Depends},
  javahelp2,
- libjtharness-java,
+ libjtharness-java (>= 6.0),
+ libhamcrest-java,
  libxalan2-java
 Recommends: testng
 Description: Regression Test Harness for the OpenJDK platform

## jtreg 5.1-b01

=== debian/changelog ===
jtreg (5.1-b01-2~deb10u1) buster; urgency=medium

  * Rebuild for buster, needed for latest OpenJDK 11.x release
    - Switch to debhelper 12

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 19 Nov 2021 16:26:05 +0000

jtreg (5.1-b01-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * d/p/launcher.patch: set JTREG_HOME earlier. (Closes: #965047,
    LP: #1887587).

  [ tony mancill ]
  * Use debhelper-compat 13
  * Use https URL for Homepage in debian/control
  * Freshen years in debian/copyright and update Source: link
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 14 Jul 2020 21:28:47 -0700

jtreg (5.1-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Jun 2020 21:12:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 11~),
+ debhelper,
  default-jdk,
  help2man,
  javahelp2,
@@ -17,7 +17,8 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
-Homepage: http://openjdk.java.net/jtreg
+Homepage: https://openjdk.java.net/jtreg
+Rules-Requires-Root: no
 
 Package: jtreg
 Architecture: all
